"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../util");
var CaseValidator = (function () {
    function CaseValidator(options, defaultTo) {
        var option = CaseValidator.getCaseOption(options, defaultTo);
        this.message = this.toMessage(CaseValidator.CASE_OPTIONS[option].name);
        this.test = CaseValidator.CASE_OPTIONS[option].test;
    }
    CaseValidator.getCaseOption = function (options, defaultTo) {
        for (var _i = 0, _a = Object.keys(CaseValidator.CASE_OPTIONS); _i < _a.length; _i++) {
            var option = _a[_i];
            if (options.has(option))
                return option;
        }
        return defaultTo;
    };
    return CaseValidator;
}());
CaseValidator.CASE_OPTIONS = {
    "camel-case": { name: "camelCase", test: util_1.isCamelCase },
    "caps-case": { name: "CAPS_CASE", test: util_1.isCapsCase },
    "pascal-case": { name: "PascalCase", test: util_1.isPascalCase },
    "snake-case": { name: "snake_case", test: util_1.isSnakeCase }
};
exports.CaseValidator = CaseValidator;
//# sourceMappingURL=CaseValidator.js.map